Subject: Re: strtof is missing
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 24 Nov 2002 10:50:15 +0100

On Sun, Nov 24, 2002 at 10:34:37AM +1000, Arseny Slobodjuck wrote:
> Sunday, November 24, 2002, 9:04:04 AM, you wrote:
> 
> j> I use a pretty new Cygwin release and I notice that the strtof function is 
> j> missing in stdlib.h. On my Linux system the function is declared in stdlib.h.
> 
> j> Can anybody help me? I should have to convert a string to a flat and this 
> j> seems to be the only possibility. (O do not want to have double).
> 
> How about atof or sscanf ? That is two.

Or float f = (float) strtod ();

However, I just had a look into newlib and there's a function

    float strtodf (const char *, char **);

defined.  There's no man page on Linux and no such entry in SUSv3, but
it's the correct definition for strtof(3).  

It looks like a typo, including stdlib.h.  Or is there a good reason
for that definition?!?

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/